VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "IIC COM object test"
   ClientHeight    =   2784
   ClientLeft      =   48
   ClientTop       =   276
   ClientWidth     =   3936
   LinkTopic       =   "Form1"
   ScaleHeight     =   2784
   ScaleWidth      =   3936
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command4 
      Caption         =   "Update temp"
      Height          =   372
      Left            =   2280
      TabIndex        =   3
      Top             =   1680
      Width           =   1572
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Close COM1"
      Height          =   372
      Left            =   2280
      TabIndex        =   2
      Top             =   2280
      Width           =   1572
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Init IIC devices"
      Height          =   372
      Left            =   2280
      TabIndex        =   1
      Top             =   1080
      Width           =   1572
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Open I2C interface on COM1"
      Height          =   612
      Left            =   2280
      TabIndex        =   0
      Top             =   240
      Width           =   1572
   End
   Begin VB.Label lblTemp2 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "0"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   240
      TabIndex        =   7
      Top             =   2040
      Width           =   1452
   End
   Begin VB.Label lblTemp1 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "0"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   240
      TabIndex        =   6
      Top             =   720
      Width           =   1452
   End
   Begin VB.Label Label2 
      Caption         =   "Temperature meas. 2:"
      Height          =   252
      Left            =   240
      TabIndex        =   5
      Top             =   1680
      Width           =   1812
   End
   Begin VB.Label Label1 
      Caption         =   "Temperature meas. 1:"
      Height          =   252
      Left            =   240
      TabIndex        =   4
      Top             =   360
      Width           =   1812
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim iic As New I2CBusMaster

Private Sub Command1_Click()
    On Error GoTo err1
    Set iic = New I2CBusMaster
    
    On Error GoTo err2
    iic.Open "com1"
    Exit Sub
    
err1:
    MsgBox "Unable to create I2CBusMaster object. COMI2C.DLL must be registered!"
    End

err2:
    MsgBox "Unable to open COM1"
    End
End Sub

Private Sub Command2_Click()
    Dim buffer(1) As Byte
    
    buffer(0) = &HAC
    buffer(1) = &H6A
    If (Not iic.TransmitData(True, &H90, 2, buffer(0))) Then
        Call MsgBox("Error1", , "TransmitData")
    End If
    If (Not iic.TransmitData(True, &H92, 2, buffer(0))) Then
        Call MsgBox("Error2", , "TransmitData")
    End If
End Sub

Private Sub Command3_Click()
    On Error GoTo err
    iic.Close
    Exit Sub
err:
    MsgBox "Close failed. Use open first."
End Sub

Private Sub Command4_Click()
    Dim buffer(1) As Byte
    
    buffer(1) = &HEE
    If Not iic.TransmitData(False, &H90, 1, buffer(1)) Then
        Call MsgBox("Error sending ee to 90")
    End If
    buffer(1) = &HAA
    If Not iic.TransmitData(False, &H90, 1, buffer(1)) Then
        Call MsgBox("Error sending aa to 90")
    End If
    
    Call iic.ReceiveData(&H90, 2, buffer(0))
    lblTemp1.Caption = buffer(0) + buffer(1) / 256
    
    buffer(1) = &HEE
    If Not iic.TransmitData(False, &H92, 1, buffer(1)) Then
        Call MsgBox("Error sending ee to 92")
    End If
    buffer(1) = &HAA
    If Not iic.TransmitData(False, &H92, 1, buffer(1)) Then
        Call MsgBox("Error sending aa to 92")
    End If
    
    Call iic.ReceiveData(&H92, 2, buffer(0))
    lblTemp2.Caption = buffer(0) + buffer(1) / 256
End Sub

